Copy
Copy (duplicate) a published item.
ID of Pub item to duplicate.
Copy a published item
ID of a new parent published item. To obtain the published item ID, use the Get-PubItem command.
ID of a sibling item after which to place the specified published item. To obtain the sibling item ID, use the Get-PubItem command.
Created
RAS Published Item
ID of the object.
User who created the object.
User who last modified the object.
Time when the object was created.
Time when the object was last modified.
Inherit Maintenance.
Replicate Maintenance.
Name of the published item.
RAS Publishing Objects
ID of the parent folder of the published item.
ID of the previous published item.
Description of the published item.
Published resource availability modes.
Whether the published item is enabled or not.
List of the IDs of all the sites this item is published to.
Whether User Filtering is enabled or not (deprecated).
Whether Client Filtering is enabled or not (deprecated).
Lists the allowed clients (deprecated).
Whether IP Filtering is enabled or not (deprecated).
Whether MAC address Filtering is enabled or not (deprecated).
Lists the allowed MAC addresses (deprecated).
Whether Gateway Filtering is enabled or not (deprecated).
Lists the allowed Gateways (deprecated).
Whether OS Filtering is enabled or not (deprecated).
Whether Preferred Routing is enabled or not.
Unauthorized
Not Found
POST /api/PubItems/{id}/Copy HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 29
{
"parentId": 1,
"previousId": 1
}{
"id": 1,
"adminCreate": "text",
"adminLastMod": "text",
"timeCreate": "2026-01-01T00:00:00.000Z",
"timeLastMod": "2026-01-01T00:00:00.000Z",
"maintenanceMessages": {
"maintenanceMessage_en_US": "text",
"maintenanceMessage_ja_JP": "text",
"maintenanceMessage_fr_FR": "text",
"maintenanceMessage_es_ES": "text",
"maintenanceMessage_it_IT": "text",
"maintenanceMessage_pt_BR": "text",
"maintenanceMessage_nl_NL": "text",
"maintenanceMessage_zh_TW": "text",
"maintenanceMessage_zh_CN": "text",
"maintenanceMessage_ko_KR": "text",
"maintenanceMessage_de_DE": "text"
},
"inheritMaintenance": true,
"replicateMaintenance": true,
"name": "text",
"type": [
"0 = Any",
"1 = Folder",
"2 = RDSApp",
"3 = RDSDesktop",
"4 = VDIDesktop",
"5 = PCDesktop",
"6 = PCApp",
"7 = VDIApp",
"8 = AVDApp",
"9 = AVDDesktop"
],
"parentId": 1,
"previousId": 1,
"description": "text",
"enabledMode": [
"0 = Disabled",
"1 = Enabled",
"2 = Maintenance"
],
"enabled": true,
"publishToSite": [
1
],
"userFilterEnabled": true,
"allowedUsers": [
{
"account": "text",
"type": [
"1 = User",
"2 = Group",
"3 = ForeignSecurityPrincipal",
"4 = Computer"
],
"sid": "text"
}
],
"clientFilterEnabled": true,
"allowedClients": [
"text"
],
"ipFilterEnabled": true,
"allowedIP4s": [
{
"from": "text",
"to": "text"
}
],
"allowedIP6s": [
{
"from": "text",
"to": "text"
}
],
"macFilterEnabled": true,
"allowedMACs": [
"text"
],
"allowedGateways": [
"text"
],
"osFilterEnabled": true,
"allowedOSes": {
"chrome": true,
"android": true,
"webClient": true,
"iOS": true,
"linux": true,
"mac": true,
"wyse": true,
"windows": true
},
"preferredRoutingEnabled": true,
"preferredRoutes": [
{
"id": 1,
"priority": 1,
"name": "text",
"description": "text",
"enabled": true,
"referenceType": [
"3 = Gateway",
"51 = HALB",
"83 = Custom"
],
"referenceId": 1
}
],
"filter": {
"rules": [
{
"id": 1,
"priority": 1,
"enabled": true,
"name": "text",
"description": "text",
"criteria": {
"securityPrincipals": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"members": [
{
"account": "text",
"type": [
"1 = User",
"2 = Group",
"3 = ForeignSecurityPrincipal",
"4 = Computer"
],
"sid": "text"
}
]
},
"gateways": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"members": [
{
"gatewayIP": "text"
}
]
},
"oSs": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"allowedOSes": {
"chrome": true,
"android": true,
"webClient": true,
"iOS": true,
"linux": true,
"mac": true,
"wyse": true,
"windows": true
}
},
"iPs": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"allowedIPs": {
"iPv4s": [
{
"from": "text",
"to": "text"
}
],
"iPv6s": [
{
"from": "text",
"to": "text"
}
]
}
},
"hardwareIDs": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"members": [
{
"hardwareID": "text"
}
]
},
"access": [
"0 = DenyCriteriaWhen",
"1 = AllowCriteriaWhen"
],
"devices": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"members": [
{
"client": "text"
}
]
},
"themes": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"ids": [
1
]
}
}
}
],
"default": [
"0 = Deny",
"1 = Allow"
]
}
}